function skill008()

id= player.GetTargetNpc()
if battle.CheckNpcStat(id,25)==1 then
local noid=npc.GetTemplateID(id)
if noid~=5511 and noid~=5512 and noid~=5513 and noid~=5518 and noid~=5544 and noid~=5568 and noid~=5569 and noid~=5570 and noid~=5572 and noid~=5573 and noid~=5576 and noid~=5651 and noid~=6004 and noid~=7031 and noid~=5503 and noid~=5507 and noid~=5508 and noid~=5509 and noid~=5514 and noid~=5523 and noid~=5526 and noid~=5527 and noid~=5530 and noid~=5531 and noid~=5534 and noid~=5535 and noid~=5537 and noid~=5553 and noid~=5555 and noid~=5556 and noid~=5565 and noid~=5571 and noid~=5574 and noid~=5613 and noid~=5658 and noid~=5659 and noid~=5660 and noid~=5661 and noid~=6021 and noid~=6022 and noid~=6023 and noid~=6024 and noid~=6025 and noid~=6032 and noid~=6033 and noid~=7003 and noid~=7034 and noid~=7052 and noid~=10005 and noid~=10006 and noid~=10007 and noid~=10009 and noid~=10013 and noid~=10046 and noid~=10103 and noid~=10104 and noid~=10146 and noid~=10147 and noid~=10003 and noid~=10008 and noid~=10011 and noid~=10021 and noid~=10022 and noid~=10023 and noid~=10028 and noid~=10042 and noid~=10105 and noid~=10130 and noid~=10131 then
if battle.GetRndNumber(1,100)<=50 then
npc.RemoveStat(id,25)
npc.AddStat(0,id,9000,0,battle.GetRndNumber(2,3))
end
end
end

	if npc.IsCreated(90000)==1 then
	if npc.GetTemplateID(90000)==5653 then  --食人草冻手臂功能
		flag.SetBattleValue(19042,1)
		if flag.GetBattleValue(12961)~=1 and j==1 then
			npc.CreateSE(90000,4392)
			flag.SetBattleValue(12961,1)
		end	
	end

	if npc.GetTemplateID(90000)==6014 then  --炎舞消BUFF功能
		flag.SetBattleValue(19025,1)
		local h=flag.GetBattleValue(16000)
		npc.StopSE(90000)
		player.RemoveStat(1,0,75)
		player.RemoveStat(1,0,76)
		player.RemoveStat(1,0,77)
		player.RemoveStat(1,0,78)
		player.RemoveStat(1,0,79)
		
		local debuff=h-2+75
		local sid=h-2+3729
		if sid>=3729 then
			npc.CreateSE(90000,sid)
		end
		if debuff>=75 then
			player.AddStat(1,0,100,debuff,10000)
		end
		if h-2<0 then
			flag.SetBattleValue(16000,0)
		else
			flag.SetBattleValue(16000,h-1)
		end
	end
	end

local pid=battle.GetActingPlayerID()
if battle.CheckPlayerStat(pid,721)==1 then

player.RemoveStat(0,pid,721)
--player.StopSE(pid,680)
battle.MagicToNpc(id,8,1)
battle.ActionTwice()

end

end